commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Gregory" <ggreg...@seagullsoftware.com>
Subject RE: [lang] Release Candidiate 8 available
Date Wed, 01 Jun 2005 06:00:27 GMT
BTW, this and other ant dependencies can be looked up here:
http://ant.apache.org/manual/install.html#librarydependencies

Gary

-----Original Message-----
From: Gary Gregory [mailto:ggregory@seagullsoftware.com] 
Sent: Tuesday, May 31, 2005 10:55 PM
To: Jakarta Commons Developers List; skitching@apache.org
Subject: RE: [lang] Release Candidiate 8 available

Simon:

You probably need to copy junit.jar to %ANT_HOME%\lib

Gary

-----Original Message-----
From: Simon Kitching [mailto:skitching@apache.org] 
Sent: Tuesday, May 31, 2005 10:37 PM
To: Jakarta Commons Developers List
Subject: Re: [lang] Release Candidiate 8 available

On Tue, 2005-05-31 at 22:38 -0400, Steven Caswell wrote:
> Commons-lang 2.1 release candidate 8 is available at 
> http://www.apache.org/~stevencaswell/commons-lang-2.1/
> 
> Primary change is Gary's working out the oddball build and class
loading 
> issue that only seems to happen on Windows XP (SP2) since Simon
reports that 
> the ant build works fine for him on Linux.
> 
> As with previous RCs, verification against as many JDK versions would
be 
> appreciated, and a sanity check of the docs would also be welcome.
> 
> Vote to follow if no reports of problems.
> 

When running "ant test", I get:

<output>
BUILD FAILED
/home/simon/downloads/lang/commons-lang-2.1-RC8/build.xml:149: The
following error occurred while executing this line:
/home/simon/downloads/lang/commons-lang-2.1-RC8/build.xml:142: Could not
create task or type of type: junit.

Ant could not find the task or a class this task relies upon.
</output>

I have ant 1.6.3:
<output>
simon@blackbox:~/downloads/lang/commons-lang-2.1-RC8$ ant -version
Apache Ant version 1.6.3 compiled on April 28 2005
</output>

It seems that the <junit> task is an *optional* task that must be
installed in addition to standard ant. I'm not in favour of requiring
users to install optional ant tasks.
  http://ant.apache.org/manual/OptionalTasks/junit.html

Regards,

Simon


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message